Bug 177857 - Error in SDL_net.h header file
Error in SDL_net.h header file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: SDL_net (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 14:09 EST by Paul Osmialowski
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC5 Extras
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 11:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2006-01-15 14:09:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
This error occurs only if SDL_net.h is included in C++ source code. It is caused by extra semicolon at the end of this file:
/* Ends C function definitions when using C++ */
#ifdef __cplusplus
};
#endif

This ';' after '}' should be removed.


Version-Release number of selected component (if applicable):
SDL_net-devel-1.2.5-2

How reproducible:
Always

Steps to Reproduce:
1. Download sources of any game that uses SDL_net (i.e. OpenCity from sourceforge)
2. Run ./configure script
3. Type make
  

Actual Results:  In file included from netnode.h:24,
                 from networking.cpp:19:
/usr/include/SDL/SDL_net.h:416: error: extra `;'


Expected Results:  Proper compilation

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:29:56 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Paul Osmialowski 2006-07-11 11:29:44 EDT
As I assumed, SDL_net has been moved to FC5 Extras and the error that I've
mentioned seem to be fixed now (I've checked SDL_net.h and it looks OK now), so
we can assume that the bug is fixed in current release.

Note You need to log in before you can comment on or make changes to this bug.